For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GithubSign up
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
  • API Reference
        • POSTUpdate for task group by driver
        • POSTUpdate for cargo by driver
        • POSTUpdate for cargo by device
        • GETFor order
LogoLogo
GithubSign up
API ReferenceTrackingSharing Settings

Update for cargo by driver

POST
/tracking/sharing_settings/cargo_by_driver/v1
POST
/tracking/sharing_settings/cargo_by_driver/v1
1import { ChrtClient } from "@chrt-inc/typescript-sdk";
2
3async function main() {
4 const client = new ChrtClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.tracking.sharingSettings.cargoByDriverSettingsV1({
8 task_group_id: "tg_9876543210",
9 cargo_id: "cargo_1234567890",
10 public: true,
11 });
12}
13main();
1{
2 "schema_version": 1,
3 "task_group_id": "tg_9876543210",
4 "cargo_id": "cargo_1234567890",
5 "_id": "setting_6543217890",
6 "driver_id": "driver_4567891230",
7 "public": true,
8 "last_changed_by_user_id": "user_7891234560",
9 "last_changed_by_org_id": "org_3216549870",
10 "last_changed_timestamp": "2024-01-15T09:30:00Z"
11}

Updates the sharing settings for a cargo by driver tracking dataset. | auth: api_key | authz_personas=[coordinator_org_operators, shipper_org_operators, executor_org_operators, driver_for_executor] | (CargoByDriverSharingSettingsUpdateReq) -> (CargoByDriverSharingSettings1)

Was this page helpful?
Previous

Update for cargo by device

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
task_group_idstringRequired
cargo_idstringRequired
publicbooleanRequired

Response

Successful Response
schema_versioninteger
task_group_idstring
cargo_idstring
_idstring
driver_idstring
publicbooleanDefaults to false
last_changed_by_user_idstring

Must be a string starting with user_

last_changed_by_org_idstring

Must be a string starting with org_

last_changed_timestampdatetime

Errors

422
Sharing Settings Cargo by Driver Settings V1request Unprocessable Entity Error